Page MenuHomePhabricator

direct clone of a element not displayed
Open, Stalled, LowPublicBUG REPORT

Description

The Problem seems to be introduced on commons between 23. August 2020 and 14. November 2020.

It is related to the update of c-librsvg2.40.20 to c-librsvg2.40.21

Problem:
Clones of elements (without group) are not rendered

Steps to Reproduce: (example with <use)

<?xml version="1.0" encoding="UTF-8"?>
<svg width="120" height="40" version="1.1" viewBox="0 0 120 40" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
  <circle id="c" cx="40" cy="20" r="10" style="fill:#f00;stroke-width:0"/>
  <use id="b" transform="translate(20)" xlink:href="#c"/>
  <use id="a" transform="translate(20)" xlink:href="#b"/>
</svg>

Actual Results: (example with <text)
https://commons.wikimedia.org/wiki/File:Librsvg_bug_nested_use.svg

Expected Results:
https://upload.wikimedia.org/wikipedia/commons/d/db/Librsvg_bug_nested_use.svg

Solution:
It works with rust-librsvg2.48.9, see comons-talk as well as with c-librsvg2.40.20 (but not with c-librsvg2.40.21)
Update librsvg: T193352

Discussions:
Jan21: (Problem description) https://commons.wikimedia.org/wiki/User_talk:JoKalliauer#SVG_clone_of_a_clone
Feb21: (discussion) https://commons.wikimedia.org/wiki/Commons:Graphics_village_pump/March_2021#SVG_file_display_different_from_PNG_previews_and_thumbnails

Files
Nov20: https://commons.wikimedia.org/wiki/File:Comparison_optical_telescope_primary_mirrors_PL.svg#filehistory (Version of 18:13, 14. Nov. 2020)
Jan21: https://commons.wikimedia.org/w/index.php?title=File:Test.svg&offset=20210119154600&limit=1#filehistory (version of 15:43, 19. Jan. 2021 by JoKalliauer)
Feb21: https://commons.wikimedia.org/wiki/File:Librsvg_bug_nested_use.svg


Reported upstream: https://gitlab.gnome.org/GNOME/librsvg/-/issues/725

Event Timeline

JoKalliauer renamed this task from clone of a clone not displayed to direct clone of a clone not displayed.Mar 6 2021, 7:25 PM
JoKalliauer created this task.

Cannot reproduce locally with plain librsvg2-2.50.3 (which is way newer than the Debian packages on the Wikimedia servers).

@Aklapper : The question was not if it was fixed upstream (the title might be missleading), the question was "Was there currently an librsvg-update on thumbor?"

As far as I know there was no librsvg-update in 2020, which makes the bug imho a bit strange.

dateVersionreferences
2.3.93T6976#94122
20062.3.93 to 2.14.0T6976#94135
20072.14.0T12207
20162.XX to 2.40.16T65703#2434426
20192.40.16 to 2.40.20-3T68672#5109579
20212.40.20-3+wmf1+stretch1https://apt-browser.toolforge.org/stretch-wikimedia/component/thumbor/
versiondatereferences
2.3.93till 2006T6976#94122
2.14.0since 2006-T6976#94135
2.14.02007T12207
2.40.162016-2019T65703#2434426
2.40.20-32019-2021T68672#5109579
2.40.20-3+wmf1+stretch1currenthttps://apt-browser.toolforge.org/stretch-wikimedia/component/thumbor/

The question was not if it was fixed upstream (the title might be missleading), the question was "Was there currently an librsvg-update on thumbor?"

Question where? I'm lost. If you refer to https://gitlab.gnome.org/GNOME/librsvg/-/issues/725 then upstream developers will not know if some random downstream users (Wikimedia) deployed any updates on their servers. (I myself don't know the answer to that question, sorry.)

Question where?

I meant the question in the description in the first line here.

Thanks for your answer.

Frederico confirmed in https://gitlab.gnome.org/GNOME/librsvg/-/issues/725#note_1105383 , that it is an librsvg2.40-issue. So I'm narrowing the issue and I puzzling what I'm missing why it was rendered correctly in August 2020, but not any more in November 2020, with the same librsvg-version. Since November the issue came up several times on commons (but imho not before), so that the bug was just overseen in August is imho unlikely.

I missed that there was an update before April 2020 to librsvg 2.40.21-0+deb9u1 2155 (on 78% of the servers?), see @Dzahn 's comment in T218828#7022133 and 2.40.21 is the newest 2.40.X version available (released Feb 2020, also 2.40.20 was the "last" version, and depreciated in 2017), so that sill cannot explain the difference, because the rendering-change happened imho after August 2020.

@Aklapper : Does https://apt-browser.toolforge.org/stretch-wikimedia/component/thumbor/ show the current version of production/toolforge? (SVG-Checker renders the image this image in the description the same.)

The issue was that I assumed that https://apt-browser.toolforge.org/stretch-wikimedia/component/thumbor/ would show the current version, however it seems we are currently using librsvg 2.40.21.

librsvg 2.40.20librsvg 2.40.21

see T218828#7088941 and T218828#7088946

thumbor* and mwmaint* servers in production have: 2.40.21-0+deb9u1

regular mediawiki appservers and all other servers production have: 2.44.10-2.1

Can't speak for toolforge.

JoKalliauer renamed this task from direct clone of a clone not displayed to direct clone of a element not displayed.Thu, May 27, 3:52 PM
JoKalliauer changed the task status from Open to Stalled.
JoKalliauer triaged this task as Low priority.
JoKalliauer updated the task description. (Show Details)